<?php

namespace App\Http\Controllers;

use App\Models\Evaluation;
use Illuminate\Http\Request;

class AssessmentHistoryController extends Controller
{
    public function index()
    {
        $evaluations = Evaluation::with(['land', 'evaluationDetails.indicator.rules' => function ($query) {
            $query->whereHas('indicator.evaluationDetails', function ($subquery) {
                $subquery->whereColumn('rule.cf', 'evaluation_details.cf_e');
            });
        }])->orderBy('created_at', 'desc')->get();
        return view('assessment.index', compact('evaluations'));
    }

    public function officer()
    {
        $evaluations = Evaluation::with('land', 'evaluationDetails.indicator.rules')->where('user_id', auth()->user()->id)->orderBy('created_at', 'desc')->get();
        return view('assessment.officer', compact('evaluations'));
    }
}
