<?php

namespace Database\Seeders;

use App\Models\Land;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class LandSeeder extends Seeder
{
    public function run()
    {
        $lands = [
            [
                'user_id' => 1,
                'owner' => 'Agus 2',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Keting',
                'latitude' => '-8.2675916544435',
                'longitude' => '113.34564082324505',
            ],
            [
                'user_id' => 1,
                'owner' => 'Agus 2',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Keting',
                'latitude' => '-8.2678939',
                'longitude' => '113.3454956',
            ],
            [
                'user_id' => 1,
                'owner' => 'Agus',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Padomasan',
                'latitude' => '-8.2318601',
                'longitude' => '113.3213447',
            ],
            [
                'user_id' => 1,
                'owner' => 'Arief',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Padomasan',
                'latitude' => '-8.240669821703817',
                'longitude' => '113.3189283683896',
            ],
            [
                'user_id' => 1,
                'owner' => 'Budin 2',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509010,
                'address' => 'Desa Kencong',
                'latitude' => '-8.25054747864877',
                'longitude' => '113.3652001619339',
            ],
            [
                'user_id' => 1,
                'owner' => 'Cak Lan 2',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Jombang',
                'latitude' => '-8.2373573',
                'longitude' => '113.3524305',
            ],
            [
                'user_id' => 1,
                'owner' => 'Dar',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Keting',
                'latitude' => '-8.2712198',
                'longitude' => '113.3471036',
            ],
            [
                'user_id' => 1,
                'owner' => 'Derman 2',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Jombang',
                'latitude' => '-8.238583367797185',
                'longitude' => '113.34233835339546',
            ],
            [
                'user_id' => 1,
                'owner' => 'Derman',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Jombang',
                'latitude' => '-8.238410823406518',
                'longitude' => '113.34189545363188',
            ],
            [
                'user_id' => 1,
                'owner' => 'Dollah',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Krajan 1, Jombang',
                'latitude' => '-8.2664446',
                'longitude' => '113.3457635',
            ],
            [
                'user_id' => 1,
                'owner' => 'Dul Samad',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509010,
                'address' => 'Desa Krajan, Kencong',
                'latitude' => '-8.246923144827084',
                'longitude' => '113.36702473461628',
            ],
            [
                'user_id' => 1,
                'owner' => 'H Mashud 3',
                'province_code' => 35,
                'regency_code' => 3508,
                'district_code' => 3508090,
                'address' => 'Desa Wotgalih',
                'latitude' => '-8.2720907',
                'longitude' => '113.2845867',
            ],
            [
                'user_id' => 1,
                'owner' => 'H Mashud 3',
                'province_code' => 35,
                'regency_code' => 3508,
                'district_code' => 3508090,
                'address' => 'Desa Wotgalih',
                'latitude' => '-8.2663617',
                'longitude' => '113.2700568',
            ],
            [
                'user_id' => 1,
                'owner' => 'H Mashud 3',
                'province_code' => 35,
                'regency_code' => 3508,
                'district_code' => 3508090,
                'address' => 'Desa Sidodadi',
                'latitude' => '-8.2636795',
                'longitude' => '113.2631813',
            ],
            [
                'user_id' => 1,
                'owner' => 'H sampon',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Krajan 1, Keting',
                'latitude' => '-8.2597845185481',
                'longitude' => '113.32029931247234',
            ],
            [
                'user_id' => 1,
                'owner' => 'Hari',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509020,
                'address' => 'Desa Jati Agung',
                'latitude' => '-8.312429421065687',
                'longitude' => '113.37327159941196',
            ],
            [
                'user_id' => 1,
                'owner' => 'Hariyawan',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Krajan 2, Padomasan',
                'latitude' => '-8.2268731',
                'longitude' => '113.3181033',
            ],
            [
                'user_id' => 1,
                'owner' => 'Jiwin 2',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Krajan 3, Jombang',
                'latitude' => '-8.2380508',
                'longitude' => '113.3470007',
            ],
            [
                'user_id' => 1,
                'owner' => 'Jubaidi',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Jombang',
                'latitude' => '-8.2387154',
                'longitude' => '113.3428151',
            ],
            [
                'user_id' => 1,
                'owner' => 'Juki',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Krajan 3, Jombang',
                'latitude' => '-8.236828056928188',
                'longitude' => '113.34809202700853',
            ],
            [
                'user_id' => 1,
                'owner' => 'Jumiono',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509010,
                'address' => 'Desa Krajan, Kencong',
                'latitude' => '-8.2527142',
                'longitude' => '113.364719',
            ],
            [
                'user_id' => 1,
                'owner' => 'Kaji kadi',
                'province_code' => 35,
                'regency_code' => 3508,
                'district_code' => 3508090,
                'address' => 'Desa Wotgalih',
                'latitude' => '-8.2706743',
                'longitude' => '113.2715079',
            ],
            [
                'user_id' => 1,
                'owner' => 'Kaji Loso 3',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509010,
                'address' => 'Desa Sidonganti',
                'latitude' => '-8.2823226',
                'longitude' => '113.3475744',
            ],
            [
                'user_id' => 1,
                'owner' => 'Ketut 2',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Padomasan',
                'latitude' => '-8.239668736652526',
                'longitude' => '113.31879828125238',
            ],
            [
                'user_id' => 1,
                'owner' => 'kholes',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509140,
                'address' => 'Desa Krajan Lor, Sukoreno',
                'latitude' => '-8.256362668227553',
                'longitude' => '113.3848325908184',
            ],
            [
                'user_id' => 1,
                'owner' => 'Komsi',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Sarimulyo',
                'latitude' => '-8.2044174',
                'longitude' => '113.3501127',
            ],
            [
                'user_id' => 1,
                'owner' => 'Kosim',
                'province_code' => 35,
                'regency_code' => 3508,
                'district_code' => 3508090,
                'address' => 'Desa Yosowilangun Lor',
                'latitude' => '-8.2660694',
                'longitude' => '113.2929468',
            ],
            [
                'user_id' => 1,
                'owner' => 'Kusnari',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Padomasan',
                'latitude' => '-8.232725443663533',
                'longitude' => '113.32178995013237',
            ],
            [
                'user_id' => 1,
                'owner' => 'Marsiyanto ',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Padomasan',
                'latitude' => '-8.2327553',
                'longitude' => '113.3224498',
            ],
            // [
            //     'user_id' => 1,
            //     'owner' => 'Mukles',
            //     'province_code' => 35,
            //     'regency_code' => '00',
            //     'district_code' => '00',
            //     'address' => 'Auto Generated',
            //     'latitude' => '-8.2519832',
            //     'longitude' => '113.4449312',
            // ],
            [
                'user_id' => 1,
                'owner' => 'Munari',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509010,
                'address' => 'Desa Krajan, Kencong',
                'latitude' => '-8.2528615',
                'longitude' => '113.3656354',
            ],
            [
                'user_id' => 1,
                'owner' => 'Munir',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Keting',
                'latitude' => '-8.2580894',
                'longitude' => '113.3198034',
            ],
            [
                'user_id' => 1,
                'owner' => 'Mursid 3',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Keting',
                'latitude' => '-8.2587516',
                'longitude' => '113.3307381',
            ],
            [
                'user_id' => 1,
                'owner' => 'Pak San',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509020,
                'address' => 'Desa Krajan, Purwosari',
                'latitude' => '-8.3058663',
                'longitude' => '113.4118223',
            ],
            [
                'user_id' => 1,
                'owner' => 'Pak Zan 2',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509140,
                'address' => 'Dusun Sukomakmur',
                'latitude' => '-8.2285498',
                'longitude' => '113.3960197',
            ],
            [
                'user_id' => 1,
                'owner' => 'Pak Zan',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509140,
                'address' => 'Dusun Sukomakmur',
                'latitude' => '-8.239430825116017',
                'longitude' => '113.39437521994114',
            ],
            // [
            //     'user_id' => 1,
            //     'owner' => 'reject',
            //     'province_code' => 35,
            //     'regency_code' => '00',
            //     'district_code' => '00',
            //     'address' => 'Auto Generated',
            //     'latitude' => '-8.2330105',
            //     'longitude' => '113.3218563',
            // ],
            [
                'user_id' => 1,
                'owner' => 'Sarep R',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Krajan 1, Jombang',
                'latitude' => '-8.2657539',
                'longitude' => '113.3453917',
            ],
            [
                'user_id' => 1,
                'owner' => 'Sari',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Krajan 3, Jombang',
                'latitude' => '-8.2697145',
                'longitude' => '113.3463774',
            ],
            [
                'user_id' => 1,
                'owner' => 'Satun',
                'province_code' => 35,
                'regency_code' => 3508,
                'district_code' => 3508090,
                'address' => 'Desa Wotgalih',
                'latitude' => '-8.2711538',
                'longitude' => '113.2867553',
            ],
            [
                'user_id' => 1,
                'owner' => 'Sokle',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509010,
                'address' => 'Desa Cakru',
                'latitude' => '-8.27298489158744',
                'longitude' => '113.32536365836859',
            ],
            [
                'user_id' => 1,
                'owner' => 'Subi',
                'province_code' => 35,
                'regency_code' => 3508,
                'district_code' => 3508060,
                'address' => 'Desa Sumberejo',
                'latitude' => '-8.2443748',
                'longitude' => '113.2879066',
            ],
            [
                'user_id' => 1,
                'owner' => 'Sumagi',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509040,
                'address' => 'Desa Krajan',
                'latitude' => '-8.3055083',
                'longitude' => '113.5548826',
            ],
            [
                'user_id' => 1,
                'owner' => 'Suroyo ',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Padomasan',
                'latitude' => '-8.2329036',
                'longitude' => '113.3214771',
            ],
            [
                'user_id' => 1,
                'owner' => 'Tutik ',
                'province_code' => 35,
                'regency_code' => 3508,
                'district_code' => 3508090,
                'address' => 'Desa Wotgalih',
                'latitude' => '-8.2733794',
                'longitude' => '113.2862115',
            ],
            [
                'user_id' => 1,
                'owner' => 'Untung',
                'province_code' => 35,
                'regency_code' => 3508,
                'district_code' => 3508090,
                'address' => 'Desa Wotgalih',
                'latitude' => '-8.2661394',
                'longitude' => '113.2772515',
            ],
            [
                'user_id' => 1,
                'owner' => 'Wardi 3',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Padomasan',
                'latitude' => '-8.241246182747037',
                'longitude' => '113.31989698112011',
            ],
            [
                'user_id' => 1,
                'owner' => 'Zainuri',
                'province_code' => 35,
                'regency_code' => 3509,
                'district_code' => 3509160,
                'address' => 'Desa Sarimulyo',
                'latitude' => '-8.2041546',
                'longitude' => '113.3508876',
            ],
        ];

        foreach ($lands as $land) {
            Land::create($land);
        }
    }
}
